=== debian/changelog ===
desktop-base (0.3.15) unstable; urgency=low

  * postinst, prerm:
  - use alternatives to provide the default background and splash
  * backgrounds/debblue-1600x1200.png:
  - added debblue's largest background
  * debian/copyright:
  - updated to mention the debblue copyright/license
  * emblems/emblem-debian.{png,icon}:
  - added emblem for hicolor theme contributed by
    Dan Korostelev <dan@ats.energo.ru> (Closes: #257923)
  * Makefile:
  - install emblem in /usr/share/icons/hicolor/48x48/emblems/
  - install debblue background, and splash and make them 
    the default

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 23 Oct 2004 23:34:52 -0300
