=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Build-Depends-Indep: cdbs, debhelper (>> 4.0.0)
Standards-Version: 3.6.1

Package: desktop-base
Architecture: all
Recommends: epiphany-browser | konqueror | www-browser
Suggests: gnome | kde | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
