=== debian/changelog ===
desktop-base (0.3.16build1) dapper; urgency=low

  * Rebuild to use dh_iconcache.

 -- Daniel Holbach <daniel.holbach@ubuntu.com>  Thu, 18 May 2006 15:03:38 +0200

desktop-base (0.3.16) unstable; urgency=low

  * GNOME Team Upload
  * backgrounds/debian-background.svg, debian/copyright,
    debian/{postinst,prerm}, Makefile:
  - added background provided by Josselin Mouette <joss@debian.org>
    to fit good with GNOME2.12's splash and theme look
    (Closes: #332873)
  * debian/prerm:
  - fixed bashism -o -> ] || [
  * debian/control.in:
  - added, updated Standards-Version to 3.6.2 with no changes
  - added gnome-pkg-tools to Build-Deps, updated debhelper's
    version requirement
  - added xfce4 to the Suggests after kde, before wmaker
  - added the Uploaders field
  * debian/rules:
  - include the pkg-gnome makefile include to generate the Uploaders
    field correctly

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  9 Oct 2005 16:14:10 -0300
