## desktop-base 0.3.17

=== debian/changelog ===
desktop-base (0.3.17) unstable; urgency=low

  [ Gustavo Franco ]
  * Debian Desktop sid artwork added (including originals in .xcf):
    - wallpapers/gnome-debian-sid-wp.png
    - splash/gnome-debian-sid-splash.png
  * debian/README.Debian: added, containing notes about Debian
    Desktop artwork layout and more.
  * debian/copyright: updated, including the new images copyright notes

  [ Loic Minier ]
  * Rename Build-Depends-Indep to Build-Depends.
  * Bump up Standards-Version to 3.7.2.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Thu, 15 Jun 2006 21:35:25 +0200
