## desktop-base 2.0.3

=== debian/changelog ===
desktop-base (1:2.0.3) unstable; urgency=medium

  * Use darkpurpy-icon-theme

 -- fsmithred <fsmithred@gmail.com>  Mon, 30 Apr 2018 14:12:00 -0400

desktop-base (1:2.0.2) unstable; urgency=medium

  * Add support for lightdm

 -- fsmithred <fsmithred@gmail.com>  Sun, 11 Feb 2018 11:59:00 -0500

desktop-base (1:2.0.1) unstable; urgency=medium

  * Check for xfce files before doing anything with them.

 -- fsmithred <fsmithred@gmail.com>  Fri, 09 Feb 2018 20:15:00 -0500

desktop-base (1:2.0) unstable; urgency=medium

  * Bump version number for ascii.

 -- fsmithred <fsmithred@gmail.com>  Thu, 11 Jan 2018 17:35:00 -0500

desktop-base (1:1.8a) unstable; urgency=medium

  * Replaced gnu-linux.png grub icon with a gnu.
  * Changed to Ascii's darkpurpy theme (golinux)
  * Fixed some typos.
  * Call update_boot() at end of postinst.

 -- fsmithred <fsmithred@gmail.com>  Wed, 27 Dec 2017 07:31:00 -0500

desktop-base (1:1.2) unstable; urgency=medium

  * Improve accessibility:

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 18 May 2017 12:47:54 +1200

desktop-base (1:1.1) unstable; urgency=medium

  * add removal cases and change shell to bash

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Sat, 22 Apr 2017 00:46:48 +1200

desktop-base (1:1.0) unstable; urgency=medium

  * add Conflicts for xfce4-panel and xfce4-settings
  * fixup! add Conflicts for xfce4-panel and xfce4-settings
  * fixup! fixup! add Conflicts for xfce4-panel and xfce4-settings
  * added dependency on gnome-icon-theme-extras

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 21 Apr 2017 14:17:07 +1200

desktop-base (1:0.203) unstable; urgency=medium

  * more removals of conflicting files

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 21 Apr 2017 11:44:09 +1200

desktop-base (1:0.202) unstable; urgency=medium

  * reduce xfce4 profile to minimum and fix install

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Fri, 21 Apr 2017 11:28:37 +1200

desktop-base (1:0.201) unstable; urgency=medium

  * treat xfce4-xsettings.xml as a file target
  * add alternative for xfwm4.xml
  * add gdo icon to panel
  * update gbp.conf

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 19 Apr 2017 09:02:02 +1200

desktop-base (1:0.200) unstable; urgency=medium

  [ KatolaZ ]
  * new slim files, as provided by fsmithred

  [ Daniel Reurich ]
  * fix xfce4 xsettings.xml mappings

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Mon, 17 Apr 2017 03:21:23 +1200

desktop-base (1:0.199) unstable; urgency=medium

  [ Daniel Reurich ]
  * Update changelog for 1:0.105~3.gbp4fc931 release

  [ KatolaZ ]
  * added gnome-extra-icons to deps
  * re-creating debian/gbp.conf for suite suites/jessie-proposed
  * staging version 1:0.199~1
  * Solved mistakes in postinst and prerm


 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 12 Apr 2017 19:31:26 +0100

desktop-base (1:0.105) unstable; urgency=medium

  [ Daniel Reurich ]
  ** SNAPSHOT build @4fc9312a664dfa80a00cf4af9579989cc126fcf3 **

  * Add support for removing dir paths
  * Support differing link names
  * Rename alternative name for xfce4 => xfce4-theme
  * merge in config from xfce4-settings stock config
  * merge with default config from xfce-settings package
  * Add defaults from xfce-settings package default profile
  * fix missing xml section closures.
  * Add noise about the package name
  * Update changelog for 1:0.105~2.gbp26bfa1 release
  * rename master link xfce -> xfce4
  * Update changelog for 1:0.105~3.gbp4fc931 release

  [ KatolaZ ]
  * added gnome-extra-icons to deps
  * re-creating debian/gbp.conf for suite suites/jessie-proposed

 
 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 12 Apr 2017 19:18:31 +0100

desktop-base (1:0.104) unstable; urgency=medium

  * add alternative for xfce4 theme

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 05 Jan 2017 22:09:36 +1300

desktop-base (1:0.103) unstable; urgency=medium

  * add support for slim themes
  * add handler for slim directory support
  * add deployment of slim themes
  * fix slim folder install
  * Revert "fix slim folder install"
  * fix install slim
  * add devuan-curve-purpy slim theme
  * change alternatives symlink location
  * tidy up indentation.
  * Add detail about the manifest wrt /etc/alternatives
  * update slim to desktop-slim-theme 2nd reference
  * Add comment about desktop-base.manifest function
  * fix install location for slim themes
  * fix desktop-slim-theme path
  * Import purpy theme from hellekins private repo

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Wed, 21 Dec 2016 00:36:00 +1300

desktop-base (1:0.102) unstable; urgency=medium

  [ Daniel Reurich ]
  * Remove hack on /etc/default/grub.

  [ hellekin ]
  * Update devuan-security.desktop with correct URL.

  [ Daniel Reurich ]
  * fix missing .svg extension

  [ hellekin ]
  * Add Devuan security pixmap and update README (Fixes #21 and #23)
  * Fix markdown
  * Fix README.md
  * Plural
  * Different is better.
  * Remove 'bloo' from available backgrounds [use Icy instead] (closes #25)
  * Add missing extension

  [ Daniel Reurich ]
  * fix typo in path for desktop-image
  * Added xsettings to set themes
  * Reduce to essential changes only
  * Added recommends for theme packages
  * change recommends to depends

 -- Daniel Reurich <centurion@haggai.centurion.net.nz>  Thu, 15 Dec 2016 12:34:37 +1300

desktop-base (1:0.101) unstable; urgency=medium

  * fix desktop background linkage

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 22 Apr 2016 15:36:48 +0000

desktop-base (1:0.100) unstable; urgency=medium

  [ hellekin ]
  * Add icons for Devuan
  * Add default links to desktop
  * Add devuan-sec icon
  * Fix devuan-sec desktop file

  [ Daniel Reurich ]
  * Remove hack on /etc/default/grub.

 -- Daniel Reurich <daniel@centurion.net.nz>  Fri, 22 Apr 2016 14:57:40 +0000

desktop-base (1:0.99) unstable; urgency=low


