=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: fsmithred <fsmithred@gmail.com>
Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), git
Standards-Version: 3.9.6
Homepage: https://git.devuan.org/packages-base/desktop-base
Vcs-Browser: https://git.devuan.org/packages-base/desktop-base
Vcs-Git: https://git.devuan.org/packages-base/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common, dmz-cursor-theme, clearlooks-phenix-darkpurpy-theme, darkpurpy-icon-theme, gnome-extra-icons, gnome-icon-theme-extras
Pre-Depends: dpkg (>= 1.15.7.2~)
Suggests: gnome | kde-standard | xfce4 | wmaker
Conflicts: xfce4-panel (<< 4.12.1-2), 
 xfce4-settings (<< 4.12.1-1)
Breaks: xfce4-panel (<< 4.12.1-2), 
 xfce4-settings (<< 4.12.1-1)
Description: common files for the Devuan Desktop
 This package contains various miscellaneous files which are used by
 Devuan Desktop installations.  Currently, it provides some
 Devuan-related artwork and themes, .desktop files containing links to
 Devuan related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
