=== debian/changelog ===
desktop-base (1:3.0) kaisen-packages; urgency=medium

  * Bump to 3.0

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sun, 10 Aug 2024 16:27:46 +0200

desktop-base (1:2.3+kaisen7) kaisen-packages; urgency=medium

  * Replace cyan logos and avatars by blue logos
  * 0644 rights by default for all pictures

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 24 May 2024 03:15:27 +0200

desktop-base (1:2.3+kaisen6) kaisen-packages; urgency=medium

  * Add the news 3.0 Kaisen wallpapers
  * Add the plymouth-themes package in the Depends: field

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 18 May 2024 04:23:06 +0200

desktop-base (1:2.3+kaisen5) kaisen-packages; urgency=medium

  * Add the new icon for lightdm

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Tue, 07 May 2024 17:15:17 +0200

desktop-base (1:2.3+kaisen4) kaisen-packages; urgency=medium

  * Add new logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 01 May 2024 20:39:58 +0200

desktop-base (1:2.3+kaisen3) kaisen-packages; urgency=medium

  * Add the new plymouth theme
  * Delete the debian/compat file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 04 Apr 2024 01:20:37 +0100

desktop-base (1:2.3+kaisen2) kaisen-packages; urgency=medium

  * Add the new Kaisen logo
  * Update wallpapers for the new logo. New wallpapers are in 4K and are JPG files.
  * The postinst script is updated for new wallpapers and their names
  * Create symlinks to keep old backgrounds paths

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 13 Dec 2023 02:13:26 +0100

desktop-base (1:2.3+kaisen1) kaisen-packages; urgency=medium

  * Add diversion for plymouth themes configurations
  * Add preinst script
  * Rebuild the initramfs for all kernels installed

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 07 Oct 2023 22:33:31 +0100

desktop-base (1:2.3) kaisen-packages; urgency=medium

  * Import the 2.3 lightdm background
  * Bump the version to 2.3
  * Source logos reworked

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 18 May 2023 17:05:16 +0100

desktop-base (1:2.2) kaisen-packages; urgency=medium

  * Import the 2.2 lightdm background
  * Bump the version to 2.2

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Dec 2022 22:49:23 +0100

desktop-base (1:2.1) kaisen-packages; urgency=medium

  * Add news wallpapers for the Kaisen 2.1 release!
  * Remove the alternative background

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 09 Jun 2022 18:29:07 +0100

desktop-base (1:2.0+kaisen5) kaisen-packages; urgency=medium

  * Readd logo block but resizing

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Sat, 30 Apr 2022 01:37:54 +0100

desktop-base (1:2.0+kaisen4) kaisen-packages; urgency=medium

  * Only Kaisen logo will be displayed on plymouth themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Wed, 20 Apr 2022 03:18:29 +0100

desktop-base (1:2.0+kaisen3) kaisen-packages; urgency=medium

  * Update Kaisen logo for plymouth themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 14 Apr 2022 21:11:56 +0100

desktop-base (1:2.0+kaisen2) kaisen-packages; urgency=medium

  * Add new logos in pixmaps/ and kaisen-logos
  * Update actual logos
  * Update makefile

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Fri, 04 Mar 2022 06:27:08 +0100

desktop-base (1:2.0+kaisen1) kaisen-packages; urgency=medium

  * Update emblems logos

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Feb 2022 08:55:07 +0100

desktop-base (1:2.0) kaisen-packages; urgency=medium

  * Update kaisen.png
  * Update .desktop links

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Mon, 28 Feb 2022 05:29:19 +0100

desktop-base (1:1.6) kaisen-packages; urgency=medium

  * Update control file

 -- Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>  Thu, 08 Apr 2021 23:07:04 +0200

desktop-base (1:1.5) kaisen-testing; urgency=medium

  * Remove all Debian themes
  * Update all Kaisen themes and metadatas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 16 Aug 2020 20:09:43 +0200

desktop-base (1:1.2) kaisen-testing; urgency=medium

  * Import new upstream release

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sat, 15 Aug 2020 15:32:21 +0200

desktop-base (10.0.3) unstable; urgency=medium

  * Remove Josselin Mouette <joss@debian.org> and Paul Tagliamonte
    <paultag@debian.org> from Uploaders, thanks for your past work on
    the package! (Closes: #930145)

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 08 Jun 2019 11:40:23 +0200

desktop-base (1:1.1) kaisen-testing; urgency=medium

  * Adding xfce4 configurations

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 23 Jun 2020 22:43:14 +0200

desktop-base (1:1.0+kaisen4) kaisen-testing; urgency=medium

  * Remove (all beta themes):
  * - blackdragon-theme
  * - dragondown-theme
  * - dragonup-theme
  * - dragonmiror-theme
  * - logocenter-theme
  * - logoright-theme
  * Adding :
  * - kaisen-dna-center-theme
  * - kaisen-dna-left-theme

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Sun, 14 Jun 2020 21:12:42 +0200

desktop-base (1:1.0+kaisen3) kaisen-testing; urgency=medium

  * Adding :
  * - kaisen-block-black-dragon-theme
  * - kaisen-block-white-dragon-theme
  * - kaisen-line-red-theme
  * - kaisen-line-white-theme
  * - kaisen-picto-red-theme
  * - kaisen-picto-white-theme
  * - tobas-theme
  * Adding new logo in Kaisen plymouth theme
  * All pictures created by Tobas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Fri, 05 Jun 2020 21:39:56 +0200

desktop-base (1:1.0+kaisen2) kaisen-testing; urgency=medium

  * Adding new logo created by Tobas

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Tue, 02 May 2020 19:21:31 +0200

desktop-base (1:1.0+kaisen1) kaisen-devel; urgency=medium

  * Adding Kaisen Linux themes

 -- Kevin Chevreuil - Kaisen <kaisen@kaisen-linux.org>  Mon, 27 Apr 2020 07:15:04 +0200


