=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
Maintainer: Kevin Chevreuil - Kaisen <kaisen@kaisenlinux.org>
Build-Depends: debhelper-compat (= 13),
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://gitlab.com/kaisenlinux/packages/desktop-base
Vcs-Git: https://gitlab.com/kaisenlinux/packages/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common,
	 plymouth-themes,
# For the login background with logo
         fonts-quicksand,
Recommends: plymouth-label
Suggests: kaisen-kde | kaisen-lxde | kaisen-mate | kaisen-xfce
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.
